package com.iformall.domain.po.base;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author Stormeye
 * @date 2019/4/24 14:32
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TenantEntity extends BaseEntity {
    @io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
    private String tenantId;

    public void updateTenantInfo(TenantEntity info) {
        setTenantId(info.getTenantId());
    }

    public void updateTenantInfo(BaseTenantEntity info) {
        setTenantId(info.getTenantId());
    }
}
